### File

`packages/eui/packages/components-next/src/lib/components/eui-textarea/auto-resize.directive.ts`

### Implements

`OnInit` `OnChanges` `AfterViewInit` `OnDestroy`

### Metadata

Selector | `textarea[autoResize]`

### Index

###### Methods
Public resize
###### Inputs
autoResize minRows
###### HostListeners
input
###### Accessors
autoResize minRows

### Constructor

`constructor(el: ElementRef, renderer: Renderer2, control: NgControl)`
Parameters :
Name | Type | Optional
el | `ElementRef` | No
renderer | `Renderer2` | No
control | `NgControl` | No

### Inputs

autoResize
Type : `boolean`

minRows
Type : `number`

### HostListeners

input
Arguments : `'$event.target'`
`input()`

### Methods

Public resize
`resize(heightAuto)`
Calculates the height and set it, causing the textarea to resize. Parameters :
Name | Optional | Default value
heightAuto | No | `true`
Returns : `void`

### Accessors

autoResize
set `autoResize(state: boolean)`
Parameters :
Name | Type | Optional
state | `boolean` | No
Returns : `void`

minRows
set `minRows(minRows: number)`
Parameters :
Name | Type | Optional
minRows | `number` | No
Returns : `void`

# result-matching ""

# No results matching ""